Bug 123017 - NFS server does not work on FC2test2
NFS server does not work on FC2test2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-11 07:05 EDT by Libor Pechacek
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: FC2/fixed Mar 22 2004
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-26 03:52:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Pechacek 2004-05-11 07:05:30 EDT
Description of problem:
rpc.mountd does work correctly, hence effectively disabling NFS 
mounts from FC2-t2 NFS server.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-19.fc2 

How reproducible:
Always in my configuration, both with 2.6.3-2.1.253.2.1 and 2.6.5 
custom kernel.

Steps to Reproduce:
1. [root@fmh root]# cat /etc/exports
/       127.0.0.1(rw,no_root_squash,sync)
/       192.168.0.2(rw,no_root_squash,sync)
/teo    192.168.0.2(rw,no_root_squash,sync)
/home   192.168.0.2(rw,no_root_squash,sync)
/usr/src        192.168.0.2(rw,no_root_squash,sync)
2. [root@fmh root]# service portmap start
Starting portmapper:                                       [  OK  ]
3. [root@fmh root]# S=start; service nfslock $S && service rpcgssd $S 
&& service rpcidmapd $S && service rpcsvcgssd $S && service nfs $S
Starting NFS statd:                                        [  OK  ]
Starting NFS services:                                     [  OK  ]
Starting NFS daemon:                                       [  OK  ]
Starting NFS mountd:                                       [  OK  ]
4. [root@fmh root]# mount -t nfs 127.0.0.1:/home /tmp/nfsmnt/
mount: 127.0.0.1:/home failed, reason given by server: Permission 
denied 
5. [root@fmh root]# killall rpc.mountd
6. [root@fmh root]# /var/tmp/nfs-utils-root/usr/sbin/rpc.mountd
7. [root@fmh root]# mount -t nfs 127.0.0.1:/home /tmp/nfsmnt/
8. [root@fmh root]# ls -la /tmp/nfsmnt/
total 16
drwxr-xr-x   4 root  root  4096 Mar 12 05:33 .
drwxrwxrwt   7 root  root  4096 May 11 06:19 ..
drwx------  48 farco farco 4096 May 11 06:15 farco
drwx------  10 vit   vit   4096 Apr 18 09:29 vit
  
Actual results:
mount: 127.0.0.1:/home failed, reason given by server: Permission 
denied 


Expected results:
mount succeeds

Additional info:
mountd started in 6th step is newly compiled nfs-utils-1.0.6 
(rpmbuild -bi nfs-utils.spec) from nfs.sf.net.  The problem seems to 
lie in RH patches to mountd and its libraries, namely the /proc/ file 
interface is probably not used in correct way.

I have no chance to test FC2t3 now but the problem may persist as it 
was not reported before.

Note You need to log in before you can comment on or make changes to this bug.